Licenses
Software license status and IP change.
#GET/cloud/licenses/{id}
GET method license_status (LisansAPP)Scope: services_readtyped_get_licenses__idOpenAPI for this operation
Typed shortcut of the generic bridge: tool license_status. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|---|---|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345' \
-H "Authorization: Bearer $GYRO_TOKEN"gyro license get 12345import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);#POST/cloud/licenses/{id}/change-ip
POST method change_ip (LisansAPP)Scope: services_writetyped_post_licenses__id__change_ipOpenAPI for this operation
Typed shortcut of the generic bridge: tool change_ip. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|---|---|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|---|---|
confirm | boolean |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345/change-ip' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'gyro api request POST /cloud/licenses/12345/change-ip --data '{"confirm": true}'import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345/change-ip", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/licenses/12345/change-ip", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);